#
# spec file for package quanta (Version 3.1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kde3-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils cracklib expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         quanta
License:      LGPL
Group:        Productivity/Publishing/HTML/Editors
Summary:      HTML Source Editor
Version:      3.1.4
Release:      100
URL:          http://quanta.sf.net
Source0:      quanta-%{version}.tar.bz2
Source1:      css.tar.bz2
Source2:      html.tar.bz2
Source3:      javascript.tar.bz2
Source4:      php.tar.bz2
Patch0:       quanta-dont-crash.diff
Patch1:       fix-remote-execution.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Quanta Plus is a web development tool for the K Desktop Environment.
Quanta is designed for quick web development and is rapidly becoming a
mature editor with a number of great features.



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%prep
%setup -q -b 1 -b 2 -b 3 -b 4
%patch0 -p1
%patch1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
 
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
cd .. 
cp -R css/css css/css.docrc html/html html/html.docrc \
      javascript/javascript javascript/javascript.docrc php/php \
      php/php.docrc \
      $RPM_BUILD_ROOT/opt/kde3/share/apps/quanta/doc/ 
%suse_update_desktop_file %name       Network WebDevelopment
%suse_update_desktop_file kmdr-editor Network WebDevelopment

%post
%run_ldconfig

%files
%defattr(-,root,root)
%doc NEWS README VERSION AUTHORS ChangeLog COPYING
/opt/kde3/bin/*
/opt/kde3/%_lib/lib*
/opt/kde3/%_lib/quanta
/opt/kde3/share/applnk/*/*.desktop
/opt/kde3/share/apps/quanta
%doc %lang(en) /opt/kde3/share/doc/HTML/en/quanta
/opt/kde3/share/icons/*

%changelog -n quanta
* Fri Apr 22 2005 - adrian@suse.de
- fix Kommander untrusted code execution (#77944)
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Thu Sep 04 2003 - adrian@suse.de
- add Categories also for kmdr-editor
* Tue Sep 02 2003 - coolo@suse.de
- don't crash on exit (#29714)
* Mon Sep 01 2003 - adrian@suse.de
- fix Category
* Sat Aug 16 2003 - adrian@suse.de
- justify Categories
* Mon Aug 11 2003 - adrian@suse.de
- revert last change, it is hidden ...
* Sat Aug 09 2003 - adrian@suse.de
- add Categories also for kmdr-executor
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- remove TextEditor from Categories
* Fri Jul 25 2003 - adrian@suse.de
- add Categories
* Sat Jul 19 2003 - adrian@suse.de
- use 2nd try of 3.1.3 tar ball
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Fri Jun 13 2003 - coolo@suse.de
- cleaning file list
* Fri Jun 13 2003 - coolo@suse.de
- package icon directories
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Sat Mar 29 2003 - adrian@suse.de
- update to version 3.1.1
* Fri Jan 17 2003 - adrian@suse.de
- use tar ball which will be released with KDE 3.1
* Thu Nov 28 2002 - adrian@suse.de
- update tar ball again to the second try of final 3.1
* Thu Nov 21 2002 - adrian@suse.de
- update to 3.1 final
* Sat Oct 05 2002 - adrian@suse.de
- update to 3.0 final
* Sun Sep 15 2002 - adrian@suse.de
- update to 3.0pr2a
* Tue Jul 30 2002 - adrian@suse.de
- fix file conflicts with kdelibs3
  (/opt/kde3/share/apps/kate/syntax/php.xml)
* Sun Jul 28 2002 - adrian@suse.de
- update to 3.0PR1 (KDE 3 port)
* Thu May 23 2002 - adrian@suse.de
- use update_admin
* Fri May 17 2002 - ro@suse.de
- fix patch args
- fix patches to make it compile
* Thu May 16 2002 - coolo@suse.de
- use common_options
- separate automake fixes from admin update
- update admin again
* Fri Apr 19 2002 - coolo@suse.de
- fix for gcc 3.1
* Thu Dec 13 2001 - adrian@suse.de
- update to 2.0.1
* Thu Dec 06 2001 - adrian@suse.de
- update to 2.0 final
* Fri Nov 09 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Sun Jul 15 2001 - adrian@suse.de
- new version 2.0 pre 2
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- new version 2.0 pre 1
  added php, css, html and javascript documentation
* Sun Feb 11 2001 - adrian@suse.de
- update to 2.0 beta 4 (KDE 2)
* Wed May 24 2000 - adrian@suse.de
- Spec file created from quanta-1.0.3.tar.gz by autospec
